diff contrib/splicex/.configure @ 688:2e33b56d4f0d draft

SpliceX improvements
author resdb <resdb@d3v11-VM.(none)>
date Sun, 23 Oct 2011 08:31:11 -0500
parents
children 24a6ba1d8657
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/contrib/splicex/.configure	Sun Oct 23 08:31:11 2011 -0500
@@ -0,0 +1,86 @@
+#!/bin/bash
+clear
+echo -e "\033[1;31m
+                    __________        _ _         __  __    ______
+                   / / / / ___| _ __ | (_) ___ ___\\ \\/ /   / / / /
+                  / / / /\___ \| '_ \| | |/ __/ _ \\\\\\  /   / / / /
+                 / / / /  ___) | |_) | | | (_|  __//  \\  / / / /
+                /_/_/_/  |____/| .__/|_|_|\\___\\___/_/\\_\\/_/_/_/
+                               |_| 
+        \033[1;33m
+                     .:Brute Force Utilities For GNU/Linux:.
+        \033[0;0m
+
+       SpliceX is free software: you can redistribute it and/or modify it under
+       the terms of the GNU General Public License as published by the Free
+       Software Foundation, either version 3 of the License, or (at your option)
+       any later version.
+
+       SpliceX is distributed in the hope that it will be useful, but WITHOUT
+       ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+       FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+       for more details. <http://www.gnu.org/licenses/>
+
+"
+
+if [[ $(id -u) != 0 ]]; then
+ echo 'root privileges required!..Quiting...'
+ exit 1
+fi
+
+sleep .3
+echo 'CONFIGURE: '
+sleep .3
+echo -ne 'checking for python'
+sleep .3
+echo -ne '.'
+sleep .3
+echo -ne '.'
+sleep .3
+echo -ne '.'
+if which python >/dev/null; then
+ sleep .3
+ echo -ne ' python found :-)'
+ echo
+ sleep .3
+else
+ sleep .3
+ echo -ne ' python not found. Quiting... :-('
+ echo
+ exit 1
+fi
+
+echo -ne 'checking for man'
+sleep .3
+echo -ne '.'
+sleep .3
+echo -ne '.'
+sleep .3
+echo -ne '.'
+if which man >/dev/null; then
+ sleep .3
+ echo -ne ' man found :-)'
+ echo
+ sleep .3
+else
+ sleep .3
+ echo -ne ' man not found. Quiting... :-('
+ echo
+ exit 1
+fi
+
+PYPATH=`which python`
+echo "configuring splicex for $PYPATH"
+sleep .3
+echo -ne '.'
+sleep .3
+echo -ne '.'
+sleep .3
+echo -ne '.'
+sed -e s^PYTHON^"$PYPATH"^g src/splicex.py >src/splicex.cp
+sed -e s^PYTHON^"$PYPATH"^g src/splicex-deshadow.py >src/splicex-deshadow.cp
+echo "configured...continuing \`make install'"
+sleep .3
+echo
+echo 'INSTALL: '
+sleep .3